import { registerExtension } from 'vscode/extensions';

var manifest = {name:"theme-monokai",displayName:"Monokai Theme",description:"Monokai theme for Visual Studio Code",version:"1.0.0",publisher:"vscode",license:"MIT",engines:{vscode:"*"},contributes:{themes:[{id:"Monokai",label:"Monokai",uiTheme:"vs-dark",path:"./themes/monokai-color-theme.json"}]},repository:{type:"git",url:"https://github.com/microsoft/vscode.git"},main:undefined};

const { registerFileUrl, whenReady } = registerExtension(manifest);
registerFileUrl('./themes/monokai-color-theme.json', new URL('./monokai-color-theme.json', import.meta.url).toString(), 'application/json');

export { whenReady };
